%define upstream_name   POE-Component-IKC
%define upstream_version 0.2402

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Epoch:      1

Summary:    POE IKC proxy session
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump) >= 1.0.0
BuildRequires: perl(Devel::Size) >= 0.770.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.600.0
BuildArch:  noarch

%description
This is Inter-Kernel Communication for POE.  It is used to get events
from one POE kernel to another

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes FUTUR IKC META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:0.240.200-7.mga10
+ Revision: 2211758
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1:0.240.200-6.mga9
+ Revision: 1830017
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.240.200-5.mga8
+ Revision: 1496863
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:0.240.200-4.mga7
+ Revision: 1270856
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.240.200-3.mga6
+ Revision: 1032493
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:0.240.200-2.mga6
+ Revision: 968105
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:0.240.200-1.mga6
+ Revision: 851315
- update to 0.2402

* Sat Oct 18 2014 umeabot <umeabot> 1:0.240.100-4.mga5
+ Revision: 788354
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.240.100-3.mga5
+ Revision: 741035
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1:0.240.100-1.mga5
+ Revision: 624405
- update to 0.2401

* Sat Oct 19 2013 umeabot <umeabot> 1:0.230.500-2.mga4
+ Revision: 528727
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1:0.230.500-1.mga4
+ Revision: 447067
- update to 0.2305

* Fri Jun 07 2013 jquelin <jquelin> 1:0.230.400-1.mga4
+ Revision: 440234
- adding missing buildrequires:
- update to 0.2304

* Sun Jan 13 2013 umeabot <umeabot> 1:0.230.200-2.mga3
+ Revision: 371230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 29 2011 jquelin <jquelin> 1:0.230.200-1.mga2
+ Revision: 136039
- bump epoch due to use of %%perl_convert_version
- update to 0.2302

* Mon Jan 24 2011 jquelin <jquelin> 0.2200-1.mga1
+ Revision: 37125
- mageia rebuild
- imported package perl-POE-Component-IKC


* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2200-1mdv2010.0
+ Revision: 373750
- new version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2102-1mdv2010.0
+ Revision: 373028
- update to new version 0.2102

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2101-1mdv2010.0
+ Revision: 371732
- update to new version 0.2101

* Fri Nov 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2002-1mdv2009.1
+ Revision: 307436
- update to new version 0.2002

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2001-4mdv2009.0
+ Revision: 258271
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.2001-3mdv2009.0
+ Revision: 246325
- rebuild

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2001-1mdv2008.1
+ Revision: 153999
- update to new version 0.2001

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2000-1mdv2008.1
+ Revision: 114013
- update to new version 0.2000

* Mon Nov 19 2007 Jérôme Quelin <jquelin@mandriva.org> 0.1904-1mdv2008.1
+ Revision: 110499
- import perl-POE-Component-IKC


